--
-- SampleModMap
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

SampleModMap = {}

local SampleModMap_mt = Class(SampleModMap, Mission00);

function SampleModMap:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = SampleModMap_mt;
    end;
    local self = SampleModMap:superClass():new(baseDirectory, mt);
    return self;
end;

function SampleModMap:delete()
    SampleModMap:superClass().delete(self);
end;

function SampleModMap:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    
    -- load the map
    self:loadMap(Utils.getFilename("map01.i3d", self.baseDirectory));
    bgapic = Utils.getFilename("map01/pdapics/bga.png", self.baseDirectory);
	billinger = Utils.getFilename("map01/pdapics/landhandel1pic.png", self.baseDirectory);
	raiffeisen = Utils.getFilename("map01/pdapics/landhandel2pic.png", self.baseDirectory);
    
    -- load paths for AI traffic vehicles
    self:loadMap(Utils.getFilename("map01/paths/trafficPaths.i3d", self.baseDirectory));
    
    -- load paths for AI pedestrians
    self:loadMap(Utils.getFilename("map01/paths/pedestrianPaths.i3d", self.baseDirectory));
        
    AnimalHusbandry.initialize();
    self:loadMap(Utils.getFilename("$data/maps/missions/CattleMeadow.i3d", self.baseDirectory));
    
    -- load the PDA map image
    self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.png", self.baseDirectory));
	-- create Map Hotspot
	self.missionPDA:createMapHotspot ("Farming Shop", "dataS2/missions/hud_pda_spot_shop.png", 1058, 947, 0.045, 0.026, false, false, 0) ; 
    -- create Map Hotspots
    self.missionPDA:createMapHotspot("Watermill", "dataS2/missions/hud_pda_spot_watermill.png", 813, 1094, 0.045, 0.026, false, false, 0);
    -- create Map Hotspots
    self.missionPDA:createMapHotspot("Cow", "dataS2/missions/hud_pda_spot_cow.png", 766, 1457, 0.045, 0.026, false, false, 0);
    -- create Map Hotspots
    self.missionPDA:createMapHotspot("Dairy", "dataS2/missions/hud_pda_spot_dairy.png", 1383, 1193, 0.045, 0.026, false, false, 0);
    -- create Map Hotspots
    self.missionPDA:createMapHotspot("Mall", "dataS2/missions/hud_pda_spot_mall.png", 1145, 957, 0.045, 0.026, false, false, 0);
    -- create Map Hotspots
    self.missionPDA:createMapHotspot("Ruin", "dataS2/missions/hud_pda_spot_ruin.png",1060 , 676, 0.045, 0.026, false, false, 0) ;
	-- create Map Hotspots
	self.missionPDA:createMapHotspot("Brewery", "dataS2/missions/hud_pda_spot_brewery.png",1204 , 1374, 0.045, 0.026, false, false, 0) ;
	-- create Map Hotspots
	self.missionPDA:createMapHotspot("Mill", "dataS2/missions/hud_pda_spot_mill.png", 940, 994, 0.045, 0.026, false, false, 0);
	-- create Map Hotspots
	self.missionPDA:createMapHotspot("BiogasPlant", bgapic , 1408, 1030, 0.045, 0.045, false, false, 0);
	-- create Map Hotspots
	self.missionPDA:createMapHotspot("raiffeisen", raiffeisen , 1253, 1130, 0.045, 0.045, false, false, 0);
 	SampleModMap:superClass().load(self);
	
end
function SampleModMap:loadFinished()
    SampleModMap:superClass().loadFinished(self);
    AnimalHusbandry.finalize();
end;

function SampleModMap:mouseEvent(posX, posY, isDown, isUp, button)
    SampleModMap:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function SampleModMap:keyEvent(unicode, sym, modifier, isDown)
    SampleModMap:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function SampleModMap:update(dt)
    SampleModMap:superClass().update(self, dt);
end;

function SampleModMap:draw()
    SampleModMap:superClass().draw(self);
end;
